# Create Customer(Tier 1)

<mark style="color:green;">`POST`</mark> {{base\_url}}/business/create-tier1

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | SECRET\_KEY |

#### Request Body

| Name                                             | Type   | Description                                                                                |
| ------------------------------------------------ | ------ | ------------------------------------------------------------------------------------------ |
| first\_name<mark style="color:red;">\*</mark>    | Sting  | Customer first name e.g John                                                               |
| last\_name<mark style="color:red;">\*</mark>     | String | Customer lastname e.g Doe                                                                  |
| email\_address<mark style="color:red;">\*</mark> | String | Customer Email e.g <example@email.com>                                                     |
| phone\_number<mark style="color:red;">\*</mark>  | String | Customer mobile number e.g 07012345689                                                     |
| birth\_date<mark style="color:red;">\*</mark>    | String | Customer Date of birth in format yyyy-mm-dd. Must be at least 18 years old. e.g 2000-03-23 |
| nationality<mark style="color:red;">\*</mark>    | String | Nigeria                                                                                    |

{% hint style="danger" %}
Your secret keys are to be kept secret and only stored on your servers. Do not pass your secret key to the front-end language where it can be exploited.
{% endhint %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```php
curl --location '{{base_url}}/business/create-tier1' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer SECRET_KEY' \
--data-raw '{
    "first_name": "John",
    "last_name": "Doe",
    "phone_number": "07012345678",
    "birth_date": "2000-03-23",
    "natioanality": "Nigeria",
    "email_address": "email@example.com"
}'
```

{% endtab %}

{% tab title="NodeJs" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "first_name": "John",
  "last_name": "Doe",
  "phone_number": "07012345678",
  "birth_date": "2000-03-23",
  "natioanality": "Nigeria",
  "email_address": "email@example.com"
});

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: '{{base_url}}/business/create-tier1',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'Bearer SECRET_KEY' 
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '{{base_url}}/business/create-tier1',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "first_name": "John",
    "last_name": "Doe",
    "phone_number": "07012345678",
    "birth_date": "2000-03-23",
    "natioanality": "Nigeria",
    "email_address": "email@example.com"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer SECRET_KEY',
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Dart" %}

```dart
var headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer SECRET_KEY'
};
var request = http.Request('POST', Uri.parse('{{base_url}}/business/create-tier1'));
request.body = json.encode({
  "first_name": "John",
  "last_name": "Doe",
  "phone_number": "07012345678",
  "birth_date": "2000-03-23",
  "natioanality": "Nigeria",
  "email_address": "email@example.com"
});
request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

## Sample response

{% tabs %}
{% tab title="Successful" %}

```json
{
    "status": true,
    "responsecode": "01",
    "message": "Tier 1 account successfully created for John Doe",
    "trackid": "06211211"
}
```

{% endtab %}

{% tab title="Failed" %}

```json
{
    "status": false,
    "responsecode": "00",
    "message": "Unable to process request. Invalid authorization key",
    "trackid": ""
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/subaccount/create-customer-tier-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
